<template>
      <div>
        <q-btn @click="loadResumes()" color="green">Refresh</q-btn>
            <q-list highlight>
              <q-list-header>Resumes <span class="on-right">{{ resumes.length }}</span></q-list-header>
              <q-item v-for="r in resumes" :key="r.id">
                <q-item-side>
                  <q-item-tile>
                    {{ Math.round(r.experience/12) }} Yrs.
                  </q-item-tile>
                </q-item-side>
                <q-item-main>{{ r.stacks[0].stack[0] }}</q-item-main>
                <q-item-side right>
                  <!-- <q-item-tile icon="chat_bubble" color="green" /> -->
                  <q-item-tile>
                    <q-btn v-on:click="deleteItem(r.id)" color="red">Delete</q-btn>
                  </q-item-tile>
                </q-item-side>
              </q-item>
            </q-list>
      </div>
</template>

<script>
import taleanconnector from './taleanconnector'
import {
  QBtn,
  QIcon,
  QList,
  QListHeader,
  QItem,
  QItemSide,
  QItemMain,
  QItemSeparator,
  QItemTile
} from 'quasar'

export default {
  name: 'resumes',
  components: {
    QBtn,
    QIcon,
    QList,
    QListHeader,
    QItem,
    QItemSide,
    QItemMain,
    QItemSeparator,
    QItemTile
  },
  data () {
    return {
      resumes: []
    }
  },
  created: function () {
    this.loadResumes()
  },
  computed: {
  },
  methods: {
    loadResumes () {
      taleanconnector.getUserResumes(this.$session.get('userid'))
        .then((data) => {
          // console.log(data)
          this.resumes = data
        })
        .catch((err) => {
          // console.log(err)
          console.log('error occurred loading resumes', err)
        })
    },
    deleteItem (id) {
      taleanconnector.deleteresume(id)
        .then((data) => {
          // console.log(data)
        })
        .catch((err) => {
          // console.log(err)
          console.log('error occurred deleting resume: ' + id, err)
        })
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
